Subject: [PATCH 14/19] ARM: dts: shmobile/r8a7xxx: replace gpio-key, wakeup with wakeup-source property

From: [email-masked] (Sudeep Holla)
Date: Thu, 22 Oct 2015 10:37:54 +0100

On 22/10/15 01:50, Simon Horman wrote:
> On Wed, Oct 21, 2015 at 11:23:03AM +0100, Sudeep Holla wrote:
>>
>>
>> On 21/10/15 11:18, Geert Uytterhoeven wrote:
>>> On Wed, Oct 21, 2015 at 12:10 PM, Sudeep Holla <[email-masked]> wrote:
>>>> Though the keyboard driver for GPIO buttons(gpio-keys) will continue to
>>>> check for/support the legacy "gpio-key,wakeup" boolean property to
>>>> enable gpio buttons as wakeup source, "wakeup-source" is the new
>>>> standard binding.
>>>>
>>>> This patch replaces the legacy "gpio-key,wakeup" with the unified
>>>> "wakeup-source" property in order to avoid any futher copy-paste
>>>> duplication.
>>>
>>> Thanks!
>>>
>>> I made the same changes to my local tree a few weeks ago, but never found
>>> time to send them out...
>>>
>>
>> Ah OK, even I had these changes for long. I waited until I fixed all the
>> binding documents(which was boring ;))
>>
>>>> Cc: Simon Horman <[email-masked]>
>>>> Cc: Magnus Damm <[email-masked]>
>>>> Cc: linux-sh at vger.kernel.org
>>>> Signed-off-by: Sudeep Holla <[email-masked]>
>>>
>>> Acked-by: Geert Uytterhoeven <[email-masked]>
>
> Can I clarify that you would like me to pick up this patch?
> If so I'm happy to do so.
>

Yes you can pick up this patch as it has no dependency on driver changes.

> Else:
>
> Acked-by: Simon Horman <[email-masked]>
>

Thanks.

-- 
Regards,
Sudeep